﻿Imports Infragistics.Win
Imports Infragistics.Win.UltraWinGrid

Public Class Form1

    Dim dataSet As DataSet
    Dim dataTable As DataTable

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        BuildDataSet()
        bossGrid.DataSource = dataSet
        bossGrid.DisplayLayout.PerformAutoResizeColumns(True, PerformAutoSizeType.AllRowsInBand)
        bossGrid.Text = "Καφές"
    End Sub

    Private Sub BuildDataSet()
        dataSet = New DataSet()
        dataTable = New DataTable("Customers")

        dataTable.Columns.Add("BNAME", GetType(String))
        Dim Keys As DataColumn() = New DataColumn(0) {}
        Keys(0) = dataTable.Columns(0)
        dataTable.PrimaryKey = Keys
        dataTable.Columns.Add("FRAPPE", GetType(String))
        dataTable.Columns.Add("COFFEE", GetType(String))
        dataTable.Columns.Add("FRAPPEPLUS", GetType(String))
        dataTable.Columns.Add("FRAPPEMINUS", GetType(String))
        dataTable.Columns.Add("COFFEEPLUS", GetType(String))
        dataTable.Columns.Add("COFFEEMINUS", GetType(String))

        Dim row As DataRow = dataTable.NewRow()
        row("BNAME") = "ALFKI"
        row("FRAPPE") = "Alfred Futterkiste"
        row("COFFEE") = "Ana Anders"
        row("FRAPPEPLUS") = " "
        row("FRAPPEMINUS") = " "
        row("COFFEEPLUS") = " "
        row("COFFEEMINUS") = " "
        dataTable.Rows.Add(row)

        row = dataTable.NewRow()
        row("BNAME") = "ANATR"
        row("FRAPPE") = "Ana Trujillo Emparedados y helados"
        row("COFFEE") = "Ana Trujillo"
        row("FRAPPEPLUS") = " "
        row("FRAPPEMINUS") = " "
        row("COFFEEPLUS") = " "
        row("COFFEEMINUS") = " "
        dataTable.Rows.Add(row)

        row = dataTable.NewRow()
        row("BNAME") = "ANTON"
        row("FRAPPE") = "Antonio Moreno Taquería"
        row("COFFEE") = "Antonio Moreno"
        row("FRAPPEPLUS") = " "
        row("FRAPPEMINUS") = " "
        row("COFFEEPLUS") = " "
        row("COFFEEMINUS") = " "
        dataTable.Rows.Add(row)

        row = dataTable.NewRow()
        row("BNAME") = "AROUT"
        row("FRAPPE") = "Around the Horn"
        row("COFFEE") = "Thomas Hardy"
        row("FRAPPEPLUS") = " "
        row("FRAPPEMINUS") = " "
        row("COFFEEPLUS") = " "
        row("COFFEEMINUS") = " "
        dataTable.Rows.Add(row)

        row = dataTable.NewRow()
        row("BNAME") = "BLAUS"
        row("FRAPPE") = "Blauer See Delikatessen"
        row("COFFEE") = "Hanna Moos"
        row("FRAPPEPLUS") = " "
        row("FRAPPEMINUS") = " "
        row("COFFEEPLUS") = " "
        row("COFFEEMINUS") = " "
        dataTable.Rows.Add(row)

        row = dataTable.NewRow()
        row("BNAME") = "BLONP"
        row("FRAPPE") = "Blondel père et fils"
        row("COFFEE") = "Frédérique Citeaux"
        row("FRAPPEPLUS") = " "
        row("FRAPPEMINUS") = " "
        row("COFFEEPLUS") = " "
        row("COFFEEMINUS") = " "
        dataTable.Rows.Add(row)

        row = dataTable.NewRow()
        row("BNAME") = "Bolid"
        row("FRAPPE") = "Bólido Comidas preparadas"
        row("COFFEE") = "Martín Sommer"
        row("FRAPPEPLUS") = " "
        row("FRAPPEMINUS") = " "
        row("COFFEEPLUS") = " "
        row("COFFEEMINUS") = " "
        dataTable.Rows.Add(row)

        row = dataTable.NewRow()
        row("BNAME") = "BONAP"
        row("FRAPPE") = "Bottom-Dollar Markets"
        row("COFFEE") = "Elizabeth Lincoln"
        row("FRAPPEPLUS") = " "
        row("FRAPPEMINUS") = " "
        row("COFFEEPLUS") = " "
        row("COFFEEMINUS") = " "
        dataTable.Rows.Add(row)
        dataSet.Tables.Add(dataTable)
    End Sub

    Private Sub UltraGrid1_InitializeLayout(ByVal sender As System.Object, ByVal e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs)

    End Sub

    Private Sub bossGrid_InitializeLayout(ByVal sender As System.Object, ByVal e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles bossGrid.InitializeLayout
        bossGrid.Font = New Font("Microsoft Sans Serif", 10.25F)
        e.Layout.GroupByBox.Hidden = True
        e.Layout.Override.RowSelectors = DefaultableBoolean.True
        e.Layout.Override.HeaderAppearance.BackColor = Color.LightBlue
        e.Layout.Override.RowSelectorAppearance.BackColor = Color.LightBlue
        e.Layout.Override.HeaderStyle = Infragistics.Win.HeaderStyle.Standard
        e.Layout.Override.HeaderAppearance.FontData.Bold = Infragistics.Win.DefaultableBoolean.True

        Dim band As UltraGridBand = e.Layout.Bands(0)

        band.Columns("BNAME").CellClickAction = CellClickAction.CellSelect
        band.Columns("FRAPPE").CellClickAction = CellClickAction.CellSelect
        band.Columns("COFFEE").CellClickAction = CellClickAction.CellSelect

        For i As Integer = 0 To bossGrid.Rows.Count - 1
            bossGrid.Rows(i).Cells("FRAPPEPLUS").Value = _
            "+"
            bossGrid.Rows(i).Cells("COFFEEPLUS").Value = _
            "+"
        Next i
        For i As Integer = 0 To bossGrid.Rows.Count - 1
            bossGrid.Rows(i).Cells("FRAPPEMINUS").Value = _
            "-"
            bossGrid.Rows(i).Cells("COFFEEMINUS").Value = _
            "-"
        Next i
        band.Columns("FRAPPEPLUS").Style = ColumnStyle.Button
        band.Columns("FRAPPEMINUS").Style = ColumnStyle.Button
        band.Columns("COFFEEPLUS").Style = ColumnStyle.Button
        band.Columns("COFFEEMINUS").Style = ColumnStyle.Button

        e.Layout.Override.DefaultRowHeight = 20
        e.Layout.CaptionVisible = DefaultableBoolean.True

    End Sub

    Private Sub bossGrid_ClickCellButton(ByVal sender As System.Object, ByVal e As Infragistics.Win.UltraWinGrid.CellEventArgs) Handles bossGrid.ClickCellButton
        MessageBox.Show("You clicked the " + e.Cell.Column.Key.ToString() & " button" & vbCrLf & "in Row " & e.Cell.Row.Index, "Click")
    End Sub
End Class
